Bug 348831 - Modem Dialup Configuration writes out no longer supported wvdial --remotename argument
Modem Dialup Configuration writes out no longer supported wvdial --remotename...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 344391
  Show dependency treegraph
 
Reported: 2007-10-23 11:03 EDT by Charles R. Anderson
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:57:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2007-10-23 11:03:32 EDT
Description of problem:

A new Modem Dialup Configuration fails to dial, because it launches wvdial with
an obsolete --remotename argument.

Version-Release number of selected component (if applicable):
system-config-network-1.4.3-1.fc8
wvdial-1.60-1.fc8

How reproducible:
always

Steps to Reproduce:
1. Make any change so s-c-n asks to save the config (actually, it seems even no
change prompts this action), or create a new Modem Dialup config.
2. Save config.
3. Look in /etc/ppp/peers/<connection-name>, see errant wvdial connect command.
4. Try to activate the PPP connection.  It fails every time without actually
dialing.
  
Actual results:

connect "/usr/bin/wvdial --remotename VerizonWireless --chat 'VerizonWireless'"

Expected results:

connect "/usr/bin/wvdial --chat 'VerizonWireless'"

Additional info:

NCDialup.py contains this code with the wrong wvdial argument:

     try:
            file = open(filename, "w")
            line = 'connect "/usr/bin/wvdial --remotename ' + \
                   '%s --chat \'%s\'"' % ( parent.DeviceId, name )
            file.write(line + '\n')
            log.lch(2, filename, line)
            file.close()

Apparently, wvdial removed the "--remotename" option at some point, but this
code was never updated.  The man page for wvdial still mentions the option, but
--usage and --help do not:

>wvdial --usage
Usage: wvdial [-cn?V] [-C configfile] [--chat] [--config=configfile]
            [--no-syslog] [--help] [--usage] [--version]
            [SECTION]... [OPTION=value]...

>wvdial --help
Usage: wvdial [OPTION...] [SECTION]... [OPTION=value]...
An intelligent PPP dialer.

  -c, --chat                 used when running wvdial from pppd
  -C, --config=configfile    use configfile instead of /etc/wvdial.conf
  -n, --no-syslog            don't send output to SYSLOG
  -?, --help                 Give this help list
      --usage                Give a short usage message
  -V, --version              Print program version

Mandatory or optional arguments to long options are also mandatory or optional
for any corresponding short options.

Optional SECTION arguments refer to sections in configuration file (usually)
/etc/wvdial.conf, $HOME/.wvdialrc or the file specified by --config.
Specified sections are all read, with later ones overriding previous ones.
Any options not in the listed sections are taken from [Dialer Defaults].

Also, optional OPTION=value parameters allow you to override options within
the configuration files.
Comment 1 Bill Nottingham 2007-10-29 13:43:31 EDT
Please try the wvdial rpms at:
http://koji.fedoraproject.org/scratch/notting/task_218610/
Comment 2 Charles R. Anderson 2007-10-29 15:20:14 EDT
Those wvdial packages appear to work fine.
Comment 3 Bill Nottingham 2007-10-29 15:57:35 EDT
Fixed in 1.60-3.fc8.

Note You need to log in before you can comment on or make changes to this bug.